package cn.superdesk.uniorder.dao.entity.operationCenter.accounting;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class UnifiedAccountingOrderCreditExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public UnifiedAccountingOrderCreditExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrderCreditIdIsNull() {
            addCriterion("order_credit_id is null");
            return (Criteria) this;
        }

        public Criteria andOrderCreditIdIsNotNull() {
            addCriterion("order_credit_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrderCreditIdEqualTo(String value) {
            addCriterion("order_credit_id =", value, "orderCreditId");
            return (Criteria) this;
        }

        public Criteria andOrderCreditIdNotEqualTo(String value) {
            addCriterion("order_credit_id <>", value, "orderCreditId");
            return (Criteria) this;
        }

        public Criteria andOrderCreditIdGreaterThan(String value) {
            addCriterion("order_credit_id >", value, "orderCreditId");
            return (Criteria) this;
        }

        public Criteria andOrderCreditIdGreaterThanOrEqualTo(String value) {
            addCriterion("order_credit_id >=", value, "orderCreditId");
            return (Criteria) this;
        }

        public Criteria andOrderCreditIdLessThan(String value) {
            addCriterion("order_credit_id <", value, "orderCreditId");
            return (Criteria) this;
        }

        public Criteria andOrderCreditIdLessThanOrEqualTo(String value) {
            addCriterion("order_credit_id <=", value, "orderCreditId");
            return (Criteria) this;
        }

        public Criteria andOrderCreditIdLike(String value) {
            addCriterion("order_credit_id like", value, "orderCreditId");
            return (Criteria) this;
        }

        public Criteria andOrderCreditIdNotLike(String value) {
            addCriterion("order_credit_id not like", value, "orderCreditId");
            return (Criteria) this;
        }

        public Criteria andOrderCreditIdIn(List<String> values) {
            addCriterion("order_credit_id in", values, "orderCreditId");
            return (Criteria) this;
        }

        public Criteria andOrderCreditIdNotIn(List<String> values) {
            addCriterion("order_credit_id not in", values, "orderCreditId");
            return (Criteria) this;
        }

        public Criteria andOrderCreditIdBetween(String value1, String value2) {
            addCriterion("order_credit_id between", value1, value2, "orderCreditId");
            return (Criteria) this;
        }

        public Criteria andOrderCreditIdNotBetween(String value1, String value2) {
            addCriterion("order_credit_id not between", value1, value2, "orderCreditId");
            return (Criteria) this;
        }

        public Criteria andBizTypeIdIsNull() {
            addCriterion("biz_type_id is null");
            return (Criteria) this;
        }

        public Criteria andBizTypeIdIsNotNull() {
            addCriterion("biz_type_id is not null");
            return (Criteria) this;
        }

        public Criteria andBizTypeIdEqualTo(Byte value) {
            addCriterion("biz_type_id =", value, "bizTypeId");
            return (Criteria) this;
        }

        public Criteria andBizTypeIdNotEqualTo(Byte value) {
            addCriterion("biz_type_id <>", value, "bizTypeId");
            return (Criteria) this;
        }

        public Criteria andBizTypeIdGreaterThan(Byte value) {
            addCriterion("biz_type_id >", value, "bizTypeId");
            return (Criteria) this;
        }

        public Criteria andBizTypeIdGreaterThanOrEqualTo(Byte value) {
            addCriterion("biz_type_id >=", value, "bizTypeId");
            return (Criteria) this;
        }

        public Criteria andBizTypeIdLessThan(Byte value) {
            addCriterion("biz_type_id <", value, "bizTypeId");
            return (Criteria) this;
        }

        public Criteria andBizTypeIdLessThanOrEqualTo(Byte value) {
            addCriterion("biz_type_id <=", value, "bizTypeId");
            return (Criteria) this;
        }

        public Criteria andBizTypeIdIn(List<Byte> values) {
            addCriterion("biz_type_id in", values, "bizTypeId");
            return (Criteria) this;
        }

        public Criteria andBizTypeIdNotIn(List<Byte> values) {
            addCriterion("biz_type_id not in", values, "bizTypeId");
            return (Criteria) this;
        }

        public Criteria andBizTypeIdBetween(Byte value1, Byte value2) {
            addCriterion("biz_type_id between", value1, value2, "bizTypeId");
            return (Criteria) this;
        }

        public Criteria andBizTypeIdNotBetween(Byte value1, Byte value2) {
            addCriterion("biz_type_id not between", value1, value2, "bizTypeId");
            return (Criteria) this;
        }

        public Criteria andOrderSnIsNull() {
            addCriterion("order_sn is null");
            return (Criteria) this;
        }

        public Criteria andOrderSnIsNotNull() {
            addCriterion("order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andOrderSnEqualTo(String value) {
            addCriterion("order_sn =", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotEqualTo(String value) {
            addCriterion("order_sn <>", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnGreaterThan(String value) {
            addCriterion("order_sn >", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("order_sn >=", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLessThan(String value) {
            addCriterion("order_sn <", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLessThanOrEqualTo(String value) {
            addCriterion("order_sn <=", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLike(String value) {
            addCriterion("order_sn like", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotLike(String value) {
            addCriterion("order_sn not like", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnIn(List<String> values) {
            addCriterion("order_sn in", values, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotIn(List<String> values) {
            addCriterion("order_sn not in", values, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnBetween(String value1, String value2) {
            addCriterion("order_sn between", value1, value2, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotBetween(String value1, String value2) {
            addCriterion("order_sn not between", value1, value2, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderIdIsNull() {
            addCriterion("order_id is null");
            return (Criteria) this;
        }

        public Criteria andOrderIdIsNotNull() {
            addCriterion("order_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrderIdEqualTo(String value) {
            addCriterion("order_id =", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotEqualTo(String value) {
            addCriterion("order_id <>", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdGreaterThan(String value) {
            addCriterion("order_id >", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdGreaterThanOrEqualTo(String value) {
            addCriterion("order_id >=", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdLessThan(String value) {
            addCriterion("order_id <", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdLessThanOrEqualTo(String value) {
            addCriterion("order_id <=", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdLike(String value) {
            addCriterion("order_id like", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotLike(String value) {
            addCriterion("order_id not like", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdIn(List<String> values) {
            addCriterion("order_id in", values, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotIn(List<String> values) {
            addCriterion("order_id not in", values, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdBetween(String value1, String value2) {
            addCriterion("order_id between", value1, value2, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotBetween(String value1, String value2) {
            addCriterion("order_id not between", value1, value2, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsIdIsNull() {
            addCriterion("order_goods_id is null");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsIdIsNotNull() {
            addCriterion("order_goods_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsIdEqualTo(String value) {
            addCriterion("order_goods_id =", value, "orderGoodsId");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsIdNotEqualTo(String value) {
            addCriterion("order_goods_id <>", value, "orderGoodsId");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsIdGreaterThan(String value) {
            addCriterion("order_goods_id >", value, "orderGoodsId");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsIdGreaterThanOrEqualTo(String value) {
            addCriterion("order_goods_id >=", value, "orderGoodsId");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsIdLessThan(String value) {
            addCriterion("order_goods_id <", value, "orderGoodsId");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsIdLessThanOrEqualTo(String value) {
            addCriterion("order_goods_id <=", value, "orderGoodsId");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsIdLike(String value) {
            addCriterion("order_goods_id like", value, "orderGoodsId");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsIdNotLike(String value) {
            addCriterion("order_goods_id not like", value, "orderGoodsId");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsIdIn(List<String> values) {
            addCriterion("order_goods_id in", values, "orderGoodsId");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsIdNotIn(List<String> values) {
            addCriterion("order_goods_id not in", values, "orderGoodsId");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsIdBetween(String value1, String value2) {
            addCriterion("order_goods_id between", value1, value2, "orderGoodsId");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsIdNotBetween(String value1, String value2) {
            addCriterion("order_goods_id not between", value1, value2, "orderGoodsId");
            return (Criteria) this;
        }

        public Criteria andBizTransactionNumberIsNull() {
            addCriterion("biz_transaction_number is null");
            return (Criteria) this;
        }

        public Criteria andBizTransactionNumberIsNotNull() {
            addCriterion("biz_transaction_number is not null");
            return (Criteria) this;
        }

        public Criteria andBizTransactionNumberEqualTo(String value) {
            addCriterion("biz_transaction_number =", value, "bizTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andBizTransactionNumberNotEqualTo(String value) {
            addCriterion("biz_transaction_number <>", value, "bizTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andBizTransactionNumberGreaterThan(String value) {
            addCriterion("biz_transaction_number >", value, "bizTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andBizTransactionNumberGreaterThanOrEqualTo(String value) {
            addCriterion("biz_transaction_number >=", value, "bizTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andBizTransactionNumberLessThan(String value) {
            addCriterion("biz_transaction_number <", value, "bizTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andBizTransactionNumberLessThanOrEqualTo(String value) {
            addCriterion("biz_transaction_number <=", value, "bizTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andBizTransactionNumberLike(String value) {
            addCriterion("biz_transaction_number like", value, "bizTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andBizTransactionNumberNotLike(String value) {
            addCriterion("biz_transaction_number not like", value, "bizTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andBizTransactionNumberIn(List<String> values) {
            addCriterion("biz_transaction_number in", values, "bizTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andBizTransactionNumberNotIn(List<String> values) {
            addCriterion("biz_transaction_number not in", values, "bizTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andBizTransactionNumberBetween(String value1, String value2) {
            addCriterion("biz_transaction_number between", value1, value2, "bizTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andBizTransactionNumberNotBetween(String value1, String value2) {
            addCriterion("biz_transaction_number not between", value1, value2, "bizTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andThirdPartyTransactionNumberIsNull() {
            addCriterion("third_party_transaction_number is null");
            return (Criteria) this;
        }

        public Criteria andThirdPartyTransactionNumberIsNotNull() {
            addCriterion("third_party_transaction_number is not null");
            return (Criteria) this;
        }

        public Criteria andThirdPartyTransactionNumberEqualTo(String value) {
            addCriterion("third_party_transaction_number =", value, "thirdPartyTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andThirdPartyTransactionNumberNotEqualTo(String value) {
            addCriterion("third_party_transaction_number <>", value, "thirdPartyTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andThirdPartyTransactionNumberGreaterThan(String value) {
            addCriterion("third_party_transaction_number >", value, "thirdPartyTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andThirdPartyTransactionNumberGreaterThanOrEqualTo(String value) {
            addCriterion("third_party_transaction_number >=", value, "thirdPartyTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andThirdPartyTransactionNumberLessThan(String value) {
            addCriterion("third_party_transaction_number <", value, "thirdPartyTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andThirdPartyTransactionNumberLessThanOrEqualTo(String value) {
            addCriterion("third_party_transaction_number <=", value, "thirdPartyTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andThirdPartyTransactionNumberLike(String value) {
            addCriterion("third_party_transaction_number like", value, "thirdPartyTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andThirdPartyTransactionNumberNotLike(String value) {
            addCriterion("third_party_transaction_number not like", value, "thirdPartyTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andThirdPartyTransactionNumberIn(List<String> values) {
            addCriterion("third_party_transaction_number in", values, "thirdPartyTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andThirdPartyTransactionNumberNotIn(List<String> values) {
            addCriterion("third_party_transaction_number not in", values, "thirdPartyTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andThirdPartyTransactionNumberBetween(String value1, String value2) {
            addCriterion("third_party_transaction_number between", value1, value2, "thirdPartyTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andThirdPartyTransactionNumberNotBetween(String value1, String value2) {
            addCriterion("third_party_transaction_number not between", value1, value2, "thirdPartyTransactionNumber");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeIsNull() {
            addCriterion("biz_platform_code is null");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeIsNotNull() {
            addCriterion("biz_platform_code is not null");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeEqualTo(String value) {
            addCriterion("biz_platform_code =", value, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeNotEqualTo(String value) {
            addCriterion("biz_platform_code <>", value, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeGreaterThan(String value) {
            addCriterion("biz_platform_code >", value, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeGreaterThanOrEqualTo(String value) {
            addCriterion("biz_platform_code >=", value, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeLessThan(String value) {
            addCriterion("biz_platform_code <", value, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeLessThanOrEqualTo(String value) {
            addCriterion("biz_platform_code <=", value, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeLike(String value) {
            addCriterion("biz_platform_code like", value, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeNotLike(String value) {
            addCriterion("biz_platform_code not like", value, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeIn(List<String> values) {
            addCriterion("biz_platform_code in", values, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeNotIn(List<String> values) {
            addCriterion("biz_platform_code not in", values, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeBetween(String value1, String value2) {
            addCriterion("biz_platform_code between", value1, value2, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformCodeNotBetween(String value1, String value2) {
            addCriterion("biz_platform_code not between", value1, value2, "bizPlatformCode");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameIsNull() {
            addCriterion("biz_platform_name is null");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameIsNotNull() {
            addCriterion("biz_platform_name is not null");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameEqualTo(String value) {
            addCriterion("biz_platform_name =", value, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameNotEqualTo(String value) {
            addCriterion("biz_platform_name <>", value, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameGreaterThan(String value) {
            addCriterion("biz_platform_name >", value, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameGreaterThanOrEqualTo(String value) {
            addCriterion("biz_platform_name >=", value, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameLessThan(String value) {
            addCriterion("biz_platform_name <", value, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameLessThanOrEqualTo(String value) {
            addCriterion("biz_platform_name <=", value, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameLike(String value) {
            addCriterion("biz_platform_name like", value, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameNotLike(String value) {
            addCriterion("biz_platform_name not like", value, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameIn(List<String> values) {
            addCriterion("biz_platform_name in", values, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameNotIn(List<String> values) {
            addCriterion("biz_platform_name not in", values, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameBetween(String value1, String value2) {
            addCriterion("biz_platform_name between", value1, value2, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andBizPlatformNameNotBetween(String value1, String value2) {
            addCriterion("biz_platform_name not between", value1, value2, "bizPlatformName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeIsNull() {
            addCriterion("order_type_code is null");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeIsNotNull() {
            addCriterion("order_type_code is not null");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeEqualTo(String value) {
            addCriterion("order_type_code =", value, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeNotEqualTo(String value) {
            addCriterion("order_type_code <>", value, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeGreaterThan(String value) {
            addCriterion("order_type_code >", value, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeGreaterThanOrEqualTo(String value) {
            addCriterion("order_type_code >=", value, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeLessThan(String value) {
            addCriterion("order_type_code <", value, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeLessThanOrEqualTo(String value) {
            addCriterion("order_type_code <=", value, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeLike(String value) {
            addCriterion("order_type_code like", value, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeNotLike(String value) {
            addCriterion("order_type_code not like", value, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeIn(List<String> values) {
            addCriterion("order_type_code in", values, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeNotIn(List<String> values) {
            addCriterion("order_type_code not in", values, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeBetween(String value1, String value2) {
            addCriterion("order_type_code between", value1, value2, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeCodeNotBetween(String value1, String value2) {
            addCriterion("order_type_code not between", value1, value2, "orderTypeCode");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameIsNull() {
            addCriterion("order_type_name is null");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameIsNotNull() {
            addCriterion("order_type_name is not null");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameEqualTo(String value) {
            addCriterion("order_type_name =", value, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameNotEqualTo(String value) {
            addCriterion("order_type_name <>", value, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameGreaterThan(String value) {
            addCriterion("order_type_name >", value, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameGreaterThanOrEqualTo(String value) {
            addCriterion("order_type_name >=", value, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameLessThan(String value) {
            addCriterion("order_type_name <", value, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameLessThanOrEqualTo(String value) {
            addCriterion("order_type_name <=", value, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameLike(String value) {
            addCriterion("order_type_name like", value, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameNotLike(String value) {
            addCriterion("order_type_name not like", value, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameIn(List<String> values) {
            addCriterion("order_type_name in", values, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameNotIn(List<String> values) {
            addCriterion("order_type_name not in", values, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameBetween(String value1, String value2) {
            addCriterion("order_type_name between", value1, value2, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andOrderTypeNameNotBetween(String value1, String value2) {
            addCriterion("order_type_name not between", value1, value2, "orderTypeName");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeIdIsNull() {
            addCriterion("goods_type_id is null");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeIdIsNotNull() {
            addCriterion("goods_type_id is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeIdEqualTo(Byte value) {
            addCriterion("goods_type_id =", value, "goodsTypeId");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeIdNotEqualTo(Byte value) {
            addCriterion("goods_type_id <>", value, "goodsTypeId");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeIdGreaterThan(Byte value) {
            addCriterion("goods_type_id >", value, "goodsTypeId");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeIdGreaterThanOrEqualTo(Byte value) {
            addCriterion("goods_type_id >=", value, "goodsTypeId");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeIdLessThan(Byte value) {
            addCriterion("goods_type_id <", value, "goodsTypeId");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeIdLessThanOrEqualTo(Byte value) {
            addCriterion("goods_type_id <=", value, "goodsTypeId");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeIdIn(List<Byte> values) {
            addCriterion("goods_type_id in", values, "goodsTypeId");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeIdNotIn(List<Byte> values) {
            addCriterion("goods_type_id not in", values, "goodsTypeId");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeIdBetween(Byte value1, Byte value2) {
            addCriterion("goods_type_id between", value1, value2, "goodsTypeId");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeIdNotBetween(Byte value1, Byte value2) {
            addCriterion("goods_type_id not between", value1, value2, "goodsTypeId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdIsNull() {
            addCriterion("goods_id is null");
            return (Criteria) this;
        }

        public Criteria andGoodsIdIsNotNull() {
            addCriterion("goods_id is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsIdEqualTo(String value) {
            addCriterion("goods_id =", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdNotEqualTo(String value) {
            addCriterion("goods_id <>", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdGreaterThan(String value) {
            addCriterion("goods_id >", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdGreaterThanOrEqualTo(String value) {
            addCriterion("goods_id >=", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdLessThan(String value) {
            addCriterion("goods_id <", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdLessThanOrEqualTo(String value) {
            addCriterion("goods_id <=", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdLike(String value) {
            addCriterion("goods_id like", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdNotLike(String value) {
            addCriterion("goods_id not like", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdIn(List<String> values) {
            addCriterion("goods_id in", values, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdNotIn(List<String> values) {
            addCriterion("goods_id not in", values, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdBetween(String value1, String value2) {
            addCriterion("goods_id between", value1, value2, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdNotBetween(String value1, String value2) {
            addCriterion("goods_id not between", value1, value2, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsNameIsNull() {
            addCriterion("goods_name is null");
            return (Criteria) this;
        }

        public Criteria andGoodsNameIsNotNull() {
            addCriterion("goods_name is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsNameEqualTo(String value) {
            addCriterion("goods_name =", value, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameNotEqualTo(String value) {
            addCriterion("goods_name <>", value, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameGreaterThan(String value) {
            addCriterion("goods_name >", value, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameGreaterThanOrEqualTo(String value) {
            addCriterion("goods_name >=", value, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameLessThan(String value) {
            addCriterion("goods_name <", value, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameLessThanOrEqualTo(String value) {
            addCriterion("goods_name <=", value, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameLike(String value) {
            addCriterion("goods_name like", value, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameNotLike(String value) {
            addCriterion("goods_name not like", value, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameIn(List<String> values) {
            addCriterion("goods_name in", values, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameNotIn(List<String> values) {
            addCriterion("goods_name not in", values, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameBetween(String value1, String value2) {
            addCriterion("goods_name between", value1, value2, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameNotBetween(String value1, String value2) {
            addCriterion("goods_name not between", value1, value2, "goodsName");
            return (Criteria) this;
        }

        public Criteria andOrderAmountIsNull() {
            addCriterion("order_amount is null");
            return (Criteria) this;
        }

        public Criteria andOrderAmountIsNotNull() {
            addCriterion("order_amount is not null");
            return (Criteria) this;
        }

        public Criteria andOrderAmountEqualTo(BigDecimal value) {
            addCriterion("order_amount =", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountNotEqualTo(BigDecimal value) {
            addCriterion("order_amount <>", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountGreaterThan(BigDecimal value) {
            addCriterion("order_amount >", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("order_amount >=", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountLessThan(BigDecimal value) {
            addCriterion("order_amount <", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("order_amount <=", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountIn(List<BigDecimal> values) {
            addCriterion("order_amount in", values, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountNotIn(List<BigDecimal> values) {
            addCriterion("order_amount not in", values, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_amount between", value1, value2, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_amount not between", value1, value2, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeIdIsNull() {
            addCriterion("integral_type_id is null");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeIdIsNotNull() {
            addCriterion("integral_type_id is not null");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeIdEqualTo(Byte value) {
            addCriterion("integral_type_id =", value, "integralTypeId");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeIdNotEqualTo(Byte value) {
            addCriterion("integral_type_id <>", value, "integralTypeId");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeIdGreaterThan(Byte value) {
            addCriterion("integral_type_id >", value, "integralTypeId");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeIdGreaterThanOrEqualTo(Byte value) {
            addCriterion("integral_type_id >=", value, "integralTypeId");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeIdLessThan(Byte value) {
            addCriterion("integral_type_id <", value, "integralTypeId");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeIdLessThanOrEqualTo(Byte value) {
            addCriterion("integral_type_id <=", value, "integralTypeId");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeIdIn(List<Byte> values) {
            addCriterion("integral_type_id in", values, "integralTypeId");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeIdNotIn(List<Byte> values) {
            addCriterion("integral_type_id not in", values, "integralTypeId");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeIdBetween(Byte value1, Byte value2) {
            addCriterion("integral_type_id between", value1, value2, "integralTypeId");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeIdNotBetween(Byte value1, Byte value2) {
            addCriterion("integral_type_id not between", value1, value2, "integralTypeId");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeNameIsNull() {
            addCriterion("integral_type_name is null");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeNameIsNotNull() {
            addCriterion("integral_type_name is not null");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeNameEqualTo(String value) {
            addCriterion("integral_type_name =", value, "integralTypeName");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeNameNotEqualTo(String value) {
            addCriterion("integral_type_name <>", value, "integralTypeName");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeNameGreaterThan(String value) {
            addCriterion("integral_type_name >", value, "integralTypeName");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeNameGreaterThanOrEqualTo(String value) {
            addCriterion("integral_type_name >=", value, "integralTypeName");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeNameLessThan(String value) {
            addCriterion("integral_type_name <", value, "integralTypeName");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeNameLessThanOrEqualTo(String value) {
            addCriterion("integral_type_name <=", value, "integralTypeName");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeNameLike(String value) {
            addCriterion("integral_type_name like", value, "integralTypeName");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeNameNotLike(String value) {
            addCriterion("integral_type_name not like", value, "integralTypeName");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeNameIn(List<String> values) {
            addCriterion("integral_type_name in", values, "integralTypeName");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeNameNotIn(List<String> values) {
            addCriterion("integral_type_name not in", values, "integralTypeName");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeNameBetween(String value1, String value2) {
            addCriterion("integral_type_name between", value1, value2, "integralTypeName");
            return (Criteria) this;
        }

        public Criteria andIntegralTypeNameNotBetween(String value1, String value2) {
            addCriterion("integral_type_name not between", value1, value2, "integralTypeName");
            return (Criteria) this;
        }

        public Criteria andBatchIsNull() {
            addCriterion("batch is null");
            return (Criteria) this;
        }

        public Criteria andBatchIsNotNull() {
            addCriterion("batch is not null");
            return (Criteria) this;
        }

        public Criteria andBatchEqualTo(String value) {
            addCriterion("batch =", value, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchNotEqualTo(String value) {
            addCriterion("batch <>", value, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchGreaterThan(String value) {
            addCriterion("batch >", value, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchGreaterThanOrEqualTo(String value) {
            addCriterion("batch >=", value, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchLessThan(String value) {
            addCriterion("batch <", value, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchLessThanOrEqualTo(String value) {
            addCriterion("batch <=", value, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchLike(String value) {
            addCriterion("batch like", value, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchNotLike(String value) {
            addCriterion("batch not like", value, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchIn(List<String> values) {
            addCriterion("batch in", values, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchNotIn(List<String> values) {
            addCriterion("batch not in", values, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchBetween(String value1, String value2) {
            addCriterion("batch between", value1, value2, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchNotBetween(String value1, String value2) {
            addCriterion("batch not between", value1, value2, "batch");
            return (Criteria) this;
        }

        public Criteria andTransactorIdIsNull() {
            addCriterion("transactor_id is null");
            return (Criteria) this;
        }

        public Criteria andTransactorIdIsNotNull() {
            addCriterion("transactor_id is not null");
            return (Criteria) this;
        }

        public Criteria andTransactorIdEqualTo(String value) {
            addCriterion("transactor_id =", value, "transactorId");
            return (Criteria) this;
        }

        public Criteria andTransactorIdNotEqualTo(String value) {
            addCriterion("transactor_id <>", value, "transactorId");
            return (Criteria) this;
        }

        public Criteria andTransactorIdGreaterThan(String value) {
            addCriterion("transactor_id >", value, "transactorId");
            return (Criteria) this;
        }

        public Criteria andTransactorIdGreaterThanOrEqualTo(String value) {
            addCriterion("transactor_id >=", value, "transactorId");
            return (Criteria) this;
        }

        public Criteria andTransactorIdLessThan(String value) {
            addCriterion("transactor_id <", value, "transactorId");
            return (Criteria) this;
        }

        public Criteria andTransactorIdLessThanOrEqualTo(String value) {
            addCriterion("transactor_id <=", value, "transactorId");
            return (Criteria) this;
        }

        public Criteria andTransactorIdLike(String value) {
            addCriterion("transactor_id like", value, "transactorId");
            return (Criteria) this;
        }

        public Criteria andTransactorIdNotLike(String value) {
            addCriterion("transactor_id not like", value, "transactorId");
            return (Criteria) this;
        }

        public Criteria andTransactorIdIn(List<String> values) {
            addCriterion("transactor_id in", values, "transactorId");
            return (Criteria) this;
        }

        public Criteria andTransactorIdNotIn(List<String> values) {
            addCriterion("transactor_id not in", values, "transactorId");
            return (Criteria) this;
        }

        public Criteria andTransactorIdBetween(String value1, String value2) {
            addCriterion("transactor_id between", value1, value2, "transactorId");
            return (Criteria) this;
        }

        public Criteria andTransactorIdNotBetween(String value1, String value2) {
            addCriterion("transactor_id not between", value1, value2, "transactorId");
            return (Criteria) this;
        }

        public Criteria andTransactorNameIsNull() {
            addCriterion("transactor_name is null");
            return (Criteria) this;
        }

        public Criteria andTransactorNameIsNotNull() {
            addCriterion("transactor_name is not null");
            return (Criteria) this;
        }

        public Criteria andTransactorNameEqualTo(String value) {
            addCriterion("transactor_name =", value, "transactorName");
            return (Criteria) this;
        }

        public Criteria andTransactorNameNotEqualTo(String value) {
            addCriterion("transactor_name <>", value, "transactorName");
            return (Criteria) this;
        }

        public Criteria andTransactorNameGreaterThan(String value) {
            addCriterion("transactor_name >", value, "transactorName");
            return (Criteria) this;
        }

        public Criteria andTransactorNameGreaterThanOrEqualTo(String value) {
            addCriterion("transactor_name >=", value, "transactorName");
            return (Criteria) this;
        }

        public Criteria andTransactorNameLessThan(String value) {
            addCriterion("transactor_name <", value, "transactorName");
            return (Criteria) this;
        }

        public Criteria andTransactorNameLessThanOrEqualTo(String value) {
            addCriterion("transactor_name <=", value, "transactorName");
            return (Criteria) this;
        }

        public Criteria andTransactorNameLike(String value) {
            addCriterion("transactor_name like", value, "transactorName");
            return (Criteria) this;
        }

        public Criteria andTransactorNameNotLike(String value) {
            addCriterion("transactor_name not like", value, "transactorName");
            return (Criteria) this;
        }

        public Criteria andTransactorNameIn(List<String> values) {
            addCriterion("transactor_name in", values, "transactorName");
            return (Criteria) this;
        }

        public Criteria andTransactorNameNotIn(List<String> values) {
            addCriterion("transactor_name not in", values, "transactorName");
            return (Criteria) this;
        }

        public Criteria andTransactorNameBetween(String value1, String value2) {
            addCriterion("transactor_name between", value1, value2, "transactorName");
            return (Criteria) this;
        }

        public Criteria andTransactorNameNotBetween(String value1, String value2) {
            addCriterion("transactor_name not between", value1, value2, "transactorName");
            return (Criteria) this;
        }

        public Criteria andTransactorMobileIsNull() {
            addCriterion("transactor_mobile is null");
            return (Criteria) this;
        }

        public Criteria andTransactorMobileIsNotNull() {
            addCriterion("transactor_mobile is not null");
            return (Criteria) this;
        }

        public Criteria andTransactorMobileEqualTo(String value) {
            addCriterion("transactor_mobile =", value, "transactorMobile");
            return (Criteria) this;
        }

        public Criteria andTransactorMobileNotEqualTo(String value) {
            addCriterion("transactor_mobile <>", value, "transactorMobile");
            return (Criteria) this;
        }

        public Criteria andTransactorMobileGreaterThan(String value) {
            addCriterion("transactor_mobile >", value, "transactorMobile");
            return (Criteria) this;
        }

        public Criteria andTransactorMobileGreaterThanOrEqualTo(String value) {
            addCriterion("transactor_mobile >=", value, "transactorMobile");
            return (Criteria) this;
        }

        public Criteria andTransactorMobileLessThan(String value) {
            addCriterion("transactor_mobile <", value, "transactorMobile");
            return (Criteria) this;
        }

        public Criteria andTransactorMobileLessThanOrEqualTo(String value) {
            addCriterion("transactor_mobile <=", value, "transactorMobile");
            return (Criteria) this;
        }

        public Criteria andTransactorMobileLike(String value) {
            addCriterion("transactor_mobile like", value, "transactorMobile");
            return (Criteria) this;
        }

        public Criteria andTransactorMobileNotLike(String value) {
            addCriterion("transactor_mobile not like", value, "transactorMobile");
            return (Criteria) this;
        }

        public Criteria andTransactorMobileIn(List<String> values) {
            addCriterion("transactor_mobile in", values, "transactorMobile");
            return (Criteria) this;
        }

        public Criteria andTransactorMobileNotIn(List<String> values) {
            addCriterion("transactor_mobile not in", values, "transactorMobile");
            return (Criteria) this;
        }

        public Criteria andTransactorMobileBetween(String value1, String value2) {
            addCriterion("transactor_mobile between", value1, value2, "transactorMobile");
            return (Criteria) this;
        }

        public Criteria andTransactorMobileNotBetween(String value1, String value2) {
            addCriterion("transactor_mobile not between", value1, value2, "transactorMobile");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdIsNull() {
            addCriterion("enterprise_id is null");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdIsNotNull() {
            addCriterion("enterprise_id is not null");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdEqualTo(String value) {
            addCriterion("enterprise_id =", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotEqualTo(String value) {
            addCriterion("enterprise_id <>", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdGreaterThan(String value) {
            addCriterion("enterprise_id >", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdGreaterThanOrEqualTo(String value) {
            addCriterion("enterprise_id >=", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdLessThan(String value) {
            addCriterion("enterprise_id <", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdLessThanOrEqualTo(String value) {
            addCriterion("enterprise_id <=", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdLike(String value) {
            addCriterion("enterprise_id like", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotLike(String value) {
            addCriterion("enterprise_id not like", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdIn(List<String> values) {
            addCriterion("enterprise_id in", values, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotIn(List<String> values) {
            addCriterion("enterprise_id not in", values, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdBetween(String value1, String value2) {
            addCriterion("enterprise_id between", value1, value2, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotBetween(String value1, String value2) {
            addCriterion("enterprise_id not between", value1, value2, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameIsNull() {
            addCriterion("enterprise_name is null");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameIsNotNull() {
            addCriterion("enterprise_name is not null");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameEqualTo(String value) {
            addCriterion("enterprise_name =", value, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameNotEqualTo(String value) {
            addCriterion("enterprise_name <>", value, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameGreaterThan(String value) {
            addCriterion("enterprise_name >", value, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameGreaterThanOrEqualTo(String value) {
            addCriterion("enterprise_name >=", value, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameLessThan(String value) {
            addCriterion("enterprise_name <", value, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameLessThanOrEqualTo(String value) {
            addCriterion("enterprise_name <=", value, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameLike(String value) {
            addCriterion("enterprise_name like", value, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameNotLike(String value) {
            addCriterion("enterprise_name not like", value, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameIn(List<String> values) {
            addCriterion("enterprise_name in", values, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameNotIn(List<String> values) {
            addCriterion("enterprise_name not in", values, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameBetween(String value1, String value2) {
            addCriterion("enterprise_name between", value1, value2, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andEnterpriseNameNotBetween(String value1, String value2) {
            addCriterion("enterprise_name not between", value1, value2, "enterpriseName");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgNameIsNull() {
            addCriterion("org_name is null");
            return (Criteria) this;
        }

        public Criteria andOrgNameIsNotNull() {
            addCriterion("org_name is not null");
            return (Criteria) this;
        }

        public Criteria andOrgNameEqualTo(String value) {
            addCriterion("org_name =", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameNotEqualTo(String value) {
            addCriterion("org_name <>", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameGreaterThan(String value) {
            addCriterion("org_name >", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameGreaterThanOrEqualTo(String value) {
            addCriterion("org_name >=", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameLessThan(String value) {
            addCriterion("org_name <", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameLessThanOrEqualTo(String value) {
            addCriterion("org_name <=", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameLike(String value) {
            addCriterion("org_name like", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameNotLike(String value) {
            addCriterion("org_name not like", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameIn(List<String> values) {
            addCriterion("org_name in", values, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameNotIn(List<String> values) {
            addCriterion("org_name not in", values, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameBetween(String value1, String value2) {
            addCriterion("org_name between", value1, value2, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameNotBetween(String value1, String value2) {
            addCriterion("org_name not between", value1, value2, "orgName");
            return (Criteria) this;
        }

        public Criteria andOperatorIdIsNull() {
            addCriterion("operator_id is null");
            return (Criteria) this;
        }

        public Criteria andOperatorIdIsNotNull() {
            addCriterion("operator_id is not null");
            return (Criteria) this;
        }

        public Criteria andOperatorIdEqualTo(String value) {
            addCriterion("operator_id =", value, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdNotEqualTo(String value) {
            addCriterion("operator_id <>", value, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdGreaterThan(String value) {
            addCriterion("operator_id >", value, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdGreaterThanOrEqualTo(String value) {
            addCriterion("operator_id >=", value, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdLessThan(String value) {
            addCriterion("operator_id <", value, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdLessThanOrEqualTo(String value) {
            addCriterion("operator_id <=", value, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdLike(String value) {
            addCriterion("operator_id like", value, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdNotLike(String value) {
            addCriterion("operator_id not like", value, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdIn(List<String> values) {
            addCriterion("operator_id in", values, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdNotIn(List<String> values) {
            addCriterion("operator_id not in", values, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdBetween(String value1, String value2) {
            addCriterion("operator_id between", value1, value2, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorIdNotBetween(String value1, String value2) {
            addCriterion("operator_id not between", value1, value2, "operatorId");
            return (Criteria) this;
        }

        public Criteria andOperatorNameIsNull() {
            addCriterion("operator_name is null");
            return (Criteria) this;
        }

        public Criteria andOperatorNameIsNotNull() {
            addCriterion("operator_name is not null");
            return (Criteria) this;
        }

        public Criteria andOperatorNameEqualTo(String value) {
            addCriterion("operator_name =", value, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameNotEqualTo(String value) {
            addCriterion("operator_name <>", value, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameGreaterThan(String value) {
            addCriterion("operator_name >", value, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameGreaterThanOrEqualTo(String value) {
            addCriterion("operator_name >=", value, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameLessThan(String value) {
            addCriterion("operator_name <", value, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameLessThanOrEqualTo(String value) {
            addCriterion("operator_name <=", value, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameLike(String value) {
            addCriterion("operator_name like", value, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameNotLike(String value) {
            addCriterion("operator_name not like", value, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameIn(List<String> values) {
            addCriterion("operator_name in", values, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameNotIn(List<String> values) {
            addCriterion("operator_name not in", values, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameBetween(String value1, String value2) {
            addCriterion("operator_name between", value1, value2, "operatorName");
            return (Criteria) this;
        }

        public Criteria andOperatorNameNotBetween(String value1, String value2) {
            addCriterion("operator_name not between", value1, value2, "operatorName");
            return (Criteria) this;
        }

        public Criteria andSupplierIdIsNull() {
            addCriterion("supplier_id is null");
            return (Criteria) this;
        }

        public Criteria andSupplierIdIsNotNull() {
            addCriterion("supplier_id is not null");
            return (Criteria) this;
        }

        public Criteria andSupplierIdEqualTo(String value) {
            addCriterion("supplier_id =", value, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdNotEqualTo(String value) {
            addCriterion("supplier_id <>", value, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdGreaterThan(String value) {
            addCriterion("supplier_id >", value, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdGreaterThanOrEqualTo(String value) {
            addCriterion("supplier_id >=", value, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdLessThan(String value) {
            addCriterion("supplier_id <", value, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdLessThanOrEqualTo(String value) {
            addCriterion("supplier_id <=", value, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdLike(String value) {
            addCriterion("supplier_id like", value, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdNotLike(String value) {
            addCriterion("supplier_id not like", value, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdIn(List<String> values) {
            addCriterion("supplier_id in", values, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdNotIn(List<String> values) {
            addCriterion("supplier_id not in", values, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdBetween(String value1, String value2) {
            addCriterion("supplier_id between", value1, value2, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierIdNotBetween(String value1, String value2) {
            addCriterion("supplier_id not between", value1, value2, "supplierId");
            return (Criteria) this;
        }

        public Criteria andSupplierNameIsNull() {
            addCriterion("supplier_name is null");
            return (Criteria) this;
        }

        public Criteria andSupplierNameIsNotNull() {
            addCriterion("supplier_name is not null");
            return (Criteria) this;
        }

        public Criteria andSupplierNameEqualTo(String value) {
            addCriterion("supplier_name =", value, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameNotEqualTo(String value) {
            addCriterion("supplier_name <>", value, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameGreaterThan(String value) {
            addCriterion("supplier_name >", value, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameGreaterThanOrEqualTo(String value) {
            addCriterion("supplier_name >=", value, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameLessThan(String value) {
            addCriterion("supplier_name <", value, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameLessThanOrEqualTo(String value) {
            addCriterion("supplier_name <=", value, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameLike(String value) {
            addCriterion("supplier_name like", value, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameNotLike(String value) {
            addCriterion("supplier_name not like", value, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameIn(List<String> values) {
            addCriterion("supplier_name in", values, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameNotIn(List<String> values) {
            addCriterion("supplier_name not in", values, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameBetween(String value1, String value2) {
            addCriterion("supplier_name between", value1, value2, "supplierName");
            return (Criteria) this;
        }

        public Criteria andSupplierNameNotBetween(String value1, String value2) {
            addCriterion("supplier_name not between", value1, value2, "supplierName");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeIdIsNull() {
            addCriterion("biz_pay_type_id is null");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeIdIsNotNull() {
            addCriterion("biz_pay_type_id is not null");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeIdEqualTo(String value) {
            addCriterion("biz_pay_type_id =", value, "bizPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeIdNotEqualTo(String value) {
            addCriterion("biz_pay_type_id <>", value, "bizPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeIdGreaterThan(String value) {
            addCriterion("biz_pay_type_id >", value, "bizPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeIdGreaterThanOrEqualTo(String value) {
            addCriterion("biz_pay_type_id >=", value, "bizPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeIdLessThan(String value) {
            addCriterion("biz_pay_type_id <", value, "bizPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeIdLessThanOrEqualTo(String value) {
            addCriterion("biz_pay_type_id <=", value, "bizPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeIdLike(String value) {
            addCriterion("biz_pay_type_id like", value, "bizPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeIdNotLike(String value) {
            addCriterion("biz_pay_type_id not like", value, "bizPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeIdIn(List<String> values) {
            addCriterion("biz_pay_type_id in", values, "bizPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeIdNotIn(List<String> values) {
            addCriterion("biz_pay_type_id not in", values, "bizPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeIdBetween(String value1, String value2) {
            addCriterion("biz_pay_type_id between", value1, value2, "bizPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeIdNotBetween(String value1, String value2) {
            addCriterion("biz_pay_type_id not between", value1, value2, "bizPayTypeId");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeNameIsNull() {
            addCriterion("biz_pay_type_name is null");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeNameIsNotNull() {
            addCriterion("biz_pay_type_name is not null");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeNameEqualTo(String value) {
            addCriterion("biz_pay_type_name =", value, "bizPayTypeName");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeNameNotEqualTo(String value) {
            addCriterion("biz_pay_type_name <>", value, "bizPayTypeName");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeNameGreaterThan(String value) {
            addCriterion("biz_pay_type_name >", value, "bizPayTypeName");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeNameGreaterThanOrEqualTo(String value) {
            addCriterion("biz_pay_type_name >=", value, "bizPayTypeName");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeNameLessThan(String value) {
            addCriterion("biz_pay_type_name <", value, "bizPayTypeName");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeNameLessThanOrEqualTo(String value) {
            addCriterion("biz_pay_type_name <=", value, "bizPayTypeName");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeNameLike(String value) {
            addCriterion("biz_pay_type_name like", value, "bizPayTypeName");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeNameNotLike(String value) {
            addCriterion("biz_pay_type_name not like", value, "bizPayTypeName");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeNameIn(List<String> values) {
            addCriterion("biz_pay_type_name in", values, "bizPayTypeName");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeNameNotIn(List<String> values) {
            addCriterion("biz_pay_type_name not in", values, "bizPayTypeName");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeNameBetween(String value1, String value2) {
            addCriterion("biz_pay_type_name between", value1, value2, "bizPayTypeName");
            return (Criteria) this;
        }

        public Criteria andBizPayTypeNameNotBetween(String value1, String value2) {
            addCriterion("biz_pay_type_name not between", value1, value2, "bizPayTypeName");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdIsNull() {
            addCriterion("platform_pay_type_id is null");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdIsNotNull() {
            addCriterion("platform_pay_type_id is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdEqualTo(Long value) {
            addCriterion("platform_pay_type_id =", value, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdNotEqualTo(Long value) {
            addCriterion("platform_pay_type_id <>", value, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdGreaterThan(Long value) {
            addCriterion("platform_pay_type_id >", value, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdGreaterThanOrEqualTo(Long value) {
            addCriterion("platform_pay_type_id >=", value, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdLessThan(Long value) {
            addCriterion("platform_pay_type_id <", value, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdLessThanOrEqualTo(Long value) {
            addCriterion("platform_pay_type_id <=", value, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdIn(List<Long> values) {
            addCriterion("platform_pay_type_id in", values, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdNotIn(List<Long> values) {
            addCriterion("platform_pay_type_id not in", values, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdBetween(Long value1, Long value2) {
            addCriterion("platform_pay_type_id between", value1, value2, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeIdNotBetween(Long value1, Long value2) {
            addCriterion("platform_pay_type_id not between", value1, value2, "platformPayTypeId");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNameIsNull() {
            addCriterion("platform_pay_type_name is null");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNameIsNotNull() {
            addCriterion("platform_pay_type_name is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNameEqualTo(String value) {
            addCriterion("platform_pay_type_name =", value, "platformPayTypeName");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNameNotEqualTo(String value) {
            addCriterion("platform_pay_type_name <>", value, "platformPayTypeName");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNameGreaterThan(String value) {
            addCriterion("platform_pay_type_name >", value, "platformPayTypeName");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNameGreaterThanOrEqualTo(String value) {
            addCriterion("platform_pay_type_name >=", value, "platformPayTypeName");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNameLessThan(String value) {
            addCriterion("platform_pay_type_name <", value, "platformPayTypeName");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNameLessThanOrEqualTo(String value) {
            addCriterion("platform_pay_type_name <=", value, "platformPayTypeName");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNameLike(String value) {
            addCriterion("platform_pay_type_name like", value, "platformPayTypeName");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNameNotLike(String value) {
            addCriterion("platform_pay_type_name not like", value, "platformPayTypeName");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNameIn(List<String> values) {
            addCriterion("platform_pay_type_name in", values, "platformPayTypeName");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNameNotIn(List<String> values) {
            addCriterion("platform_pay_type_name not in", values, "platformPayTypeName");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNameBetween(String value1, String value2) {
            addCriterion("platform_pay_type_name between", value1, value2, "platformPayTypeName");
            return (Criteria) this;
        }

        public Criteria andPlatformPayTypeNameNotBetween(String value1, String value2) {
            addCriterion("platform_pay_type_name not between", value1, value2, "platformPayTypeName");
            return (Criteria) this;
        }

        public Criteria andPayStatusIdIsNull() {
            addCriterion("pay_status_id is null");
            return (Criteria) this;
        }

        public Criteria andPayStatusIdIsNotNull() {
            addCriterion("pay_status_id is not null");
            return (Criteria) this;
        }

        public Criteria andPayStatusIdEqualTo(Byte value) {
            addCriterion("pay_status_id =", value, "payStatusId");
            return (Criteria) this;
        }

        public Criteria andPayStatusIdNotEqualTo(Byte value) {
            addCriterion("pay_status_id <>", value, "payStatusId");
            return (Criteria) this;
        }

        public Criteria andPayStatusIdGreaterThan(Byte value) {
            addCriterion("pay_status_id >", value, "payStatusId");
            return (Criteria) this;
        }

        public Criteria andPayStatusIdGreaterThanOrEqualTo(Byte value) {
            addCriterion("pay_status_id >=", value, "payStatusId");
            return (Criteria) this;
        }

        public Criteria andPayStatusIdLessThan(Byte value) {
            addCriterion("pay_status_id <", value, "payStatusId");
            return (Criteria) this;
        }

        public Criteria andPayStatusIdLessThanOrEqualTo(Byte value) {
            addCriterion("pay_status_id <=", value, "payStatusId");
            return (Criteria) this;
        }

        public Criteria andPayStatusIdIn(List<Byte> values) {
            addCriterion("pay_status_id in", values, "payStatusId");
            return (Criteria) this;
        }

        public Criteria andPayStatusIdNotIn(List<Byte> values) {
            addCriterion("pay_status_id not in", values, "payStatusId");
            return (Criteria) this;
        }

        public Criteria andPayStatusIdBetween(Byte value1, Byte value2) {
            addCriterion("pay_status_id between", value1, value2, "payStatusId");
            return (Criteria) this;
        }

        public Criteria andPayStatusIdNotBetween(Byte value1, Byte value2) {
            addCriterion("pay_status_id not between", value1, value2, "payStatusId");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeIsNull() {
            addCriterion("order_create_time is null");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeIsNotNull() {
            addCriterion("order_create_time is not null");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeEqualTo(Date value) {
            addCriterion("order_create_time =", value, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeNotEqualTo(Date value) {
            addCriterion("order_create_time <>", value, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeGreaterThan(Date value) {
            addCriterion("order_create_time >", value, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("order_create_time >=", value, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeLessThan(Date value) {
            addCriterion("order_create_time <", value, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("order_create_time <=", value, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeIn(List<Date> values) {
            addCriterion("order_create_time in", values, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeNotIn(List<Date> values) {
            addCriterion("order_create_time not in", values, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeBetween(Date value1, Date value2) {
            addCriterion("order_create_time between", value1, value2, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andOrderCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("order_create_time not between", value1, value2, "orderCreateTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeIsNull() {
            addCriterion("trading_time is null");
            return (Criteria) this;
        }

        public Criteria andTradingTimeIsNotNull() {
            addCriterion("trading_time is not null");
            return (Criteria) this;
        }

        public Criteria andTradingTimeEqualTo(Date value) {
            addCriterion("trading_time =", value, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeNotEqualTo(Date value) {
            addCriterion("trading_time <>", value, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeGreaterThan(Date value) {
            addCriterion("trading_time >", value, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("trading_time >=", value, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeLessThan(Date value) {
            addCriterion("trading_time <", value, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeLessThanOrEqualTo(Date value) {
            addCriterion("trading_time <=", value, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeIn(List<Date> values) {
            addCriterion("trading_time in", values, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeNotIn(List<Date> values) {
            addCriterion("trading_time not in", values, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeBetween(Date value1, Date value2) {
            addCriterion("trading_time between", value1, value2, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andTradingTimeNotBetween(Date value1, Date value2) {
            addCriterion("trading_time not between", value1, value2, "tradingTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIsNull() {
            addCriterion("finish_time is null");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIsNotNull() {
            addCriterion("finish_time is not null");
            return (Criteria) this;
        }

        public Criteria andFinishTimeEqualTo(Date value) {
            addCriterion("finish_time =", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotEqualTo(Date value) {
            addCriterion("finish_time <>", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeGreaterThan(Date value) {
            addCriterion("finish_time >", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("finish_time >=", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeLessThan(Date value) {
            addCriterion("finish_time <", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeLessThanOrEqualTo(Date value) {
            addCriterion("finish_time <=", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIn(List<Date> values) {
            addCriterion("finish_time in", values, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotIn(List<Date> values) {
            addCriterion("finish_time not in", values, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeBetween(Date value1, Date value2) {
            addCriterion("finish_time between", value1, value2, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotBetween(Date value1, Date value2) {
            addCriterion("finish_time not between", value1, value2, "finishTime");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusIsNull() {
            addCriterion("accounting_status is null");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusIsNotNull() {
            addCriterion("accounting_status is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusEqualTo(Byte value) {
            addCriterion("accounting_status =", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusNotEqualTo(Byte value) {
            addCriterion("accounting_status <>", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusGreaterThan(Byte value) {
            addCriterion("accounting_status >", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusGreaterThanOrEqualTo(Byte value) {
            addCriterion("accounting_status >=", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusLessThan(Byte value) {
            addCriterion("accounting_status <", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusLessThanOrEqualTo(Byte value) {
            addCriterion("accounting_status <=", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusIn(List<Byte> values) {
            addCriterion("accounting_status in", values, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusNotIn(List<Byte> values) {
            addCriterion("accounting_status not in", values, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusBetween(Byte value1, Byte value2) {
            addCriterion("accounting_status between", value1, value2, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusNotBetween(Byte value1, Byte value2) {
            addCriterion("accounting_status not between", value1, value2, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnOperatorIsNull() {
            addCriterion("accounting_order_sn_operator is null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnOperatorIsNotNull() {
            addCriterion("accounting_order_sn_operator is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnOperatorEqualTo(String value) {
            addCriterion("accounting_order_sn_operator =", value, "accountingOrderSnOperator");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnOperatorNotEqualTo(String value) {
            addCriterion("accounting_order_sn_operator <>", value, "accountingOrderSnOperator");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnOperatorGreaterThan(String value) {
            addCriterion("accounting_order_sn_operator >", value, "accountingOrderSnOperator");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnOperatorGreaterThanOrEqualTo(String value) {
            addCriterion("accounting_order_sn_operator >=", value, "accountingOrderSnOperator");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnOperatorLessThan(String value) {
            addCriterion("accounting_order_sn_operator <", value, "accountingOrderSnOperator");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnOperatorLessThanOrEqualTo(String value) {
            addCriterion("accounting_order_sn_operator <=", value, "accountingOrderSnOperator");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnOperatorLike(String value) {
            addCriterion("accounting_order_sn_operator like", value, "accountingOrderSnOperator");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnOperatorNotLike(String value) {
            addCriterion("accounting_order_sn_operator not like", value, "accountingOrderSnOperator");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnOperatorIn(List<String> values) {
            addCriterion("accounting_order_sn_operator in", values, "accountingOrderSnOperator");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnOperatorNotIn(List<String> values) {
            addCriterion("accounting_order_sn_operator not in", values, "accountingOrderSnOperator");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnOperatorBetween(String value1, String value2) {
            addCriterion("accounting_order_sn_operator between", value1, value2, "accountingOrderSnOperator");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnOperatorNotBetween(String value1, String value2) {
            addCriterion("accounting_order_sn_operator not between", value1, value2, "accountingOrderSnOperator");
            return (Criteria) this;
        }

        public Criteria andIsSettlementIsNull() {
            addCriterion("is_settlement is null");
            return (Criteria) this;
        }

        public Criteria andIsSettlementIsNotNull() {
            addCriterion("is_settlement is not null");
            return (Criteria) this;
        }

        public Criteria andIsSettlementEqualTo(Byte value) {
            addCriterion("is_settlement =", value, "isSettlement");
            return (Criteria) this;
        }

        public Criteria andIsSettlementNotEqualTo(Byte value) {
            addCriterion("is_settlement <>", value, "isSettlement");
            return (Criteria) this;
        }

        public Criteria andIsSettlementGreaterThan(Byte value) {
            addCriterion("is_settlement >", value, "isSettlement");
            return (Criteria) this;
        }

        public Criteria andIsSettlementGreaterThanOrEqualTo(Byte value) {
            addCriterion("is_settlement >=", value, "isSettlement");
            return (Criteria) this;
        }

        public Criteria andIsSettlementLessThan(Byte value) {
            addCriterion("is_settlement <", value, "isSettlement");
            return (Criteria) this;
        }

        public Criteria andIsSettlementLessThanOrEqualTo(Byte value) {
            addCriterion("is_settlement <=", value, "isSettlement");
            return (Criteria) this;
        }

        public Criteria andIsSettlementIn(List<Byte> values) {
            addCriterion("is_settlement in", values, "isSettlement");
            return (Criteria) this;
        }

        public Criteria andIsSettlementNotIn(List<Byte> values) {
            addCriterion("is_settlement not in", values, "isSettlement");
            return (Criteria) this;
        }

        public Criteria andIsSettlementBetween(Byte value1, Byte value2) {
            addCriterion("is_settlement between", value1, value2, "isSettlement");
            return (Criteria) this;
        }

        public Criteria andIsSettlementNotBetween(Byte value1, Byte value2) {
            addCriterion("is_settlement not between", value1, value2, "isSettlement");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(String value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(String value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(String value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(String value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(String value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLike(String value) {
            addCriterion("create_user_id like", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotLike(String value) {
            addCriterion("create_user_id not like", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<String> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<String> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(String value1, String value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(String value1, String value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(String value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(String value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(String value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(String value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(String value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLike(String value) {
            addCriterion("update_user_id like", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotLike(String value) {
            addCriterion("update_user_id not like", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<String> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<String> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(String value1, String value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(String value1, String value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}